=== debian/control ===
Source: ros-lunar-joy
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), joystick, ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-rosbag, ros-lunar-roscpp, ros-lunar-sensor-msgs
Homepage: http://www.ros.org/wiki/joy
Standards-Version: 3.9.2

Package: ros-lunar-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, joystick, ros-lunar-diagnostic-updater, ros-lunar-roscpp, ros-lunar-sensor-msgs
Description: ROS driver for a generic Linux joystick.
 The joy package contains joy_node, a node that interfaces a generic Linux joystick to ROS. This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.
